Package org.oasis_open.docs.ws_calendar.ns.soap

# Class AddItemResponseType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType
org.oasis_open.docs.ws_calendar.ns.soap.AddItemResponseType

public class AddItemResponseType extends BaseResponseType
Response to message to add an item.

Java class for AddItemResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AddItemResponseType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}BaseResponseType">
           <sequence>
             <element name="href" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="changeToken" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `changeToken`
  `protected String`
  `href`

  ### Fields inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType

  `errorResponse, id, message, status`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddItemResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChangeToken()`
  Gets the value of the changeToken property.
  `String`
  `getHref()`
  Gets the value of the href property.
  `void`
  `setChangeToken(String value)`
  Sets the value of the changeToken property.
  `void`
  `setHref(String value)`
  Sets the value of the href property.

  ### Methods inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType

  `getErrorResponse, getId, getMessage, getStatus, setErrorResponse, setId, setMessage, setStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### href

    protected String href

  - ### changeToken

    protected String changeToken

- ## Constructor Details

  - ### AddItemResponseType

    public AddItemResponseType()

- ## Method Details

  - ### getHref

    public String getHref()
    Gets the value of the href property.
    Returns:
      possible object is `String`

  - ### setHref

    public void setHref(String value)
    Sets the value of the href property.
    Parameters:
      `value` - allowed object is `String`

  - ### getChangeToken

    public String getChangeToken()
    Gets the value of the changeToken property.
    Returns:
      possible object is `String`

  - ### setChangeToken

    public void setChangeToken(String value)
    Sets the value of the changeToken property.
    Parameters:
      `value` - allowed object is `String`